Page MenuHomePhabricator

[sanitizer] Allow log_path to distinguish default from explicit stderr
ClosedPublic

Authored by tejohnson on Oct 17 2020, 10:46 AM.

Details

Summary

Split out of D89086 as suggested.

Change the default of the log_path flag to nullptr, and the code
consuming that flag (ReportFile::SetReportPath), to treat nullptr as
stderr (so no change to the behavior of existing users). This allows
code to distinguish between the log_path being specified explicitly as
stderr vs the default.

This is so the flag can be used to override the new report path variable
that will be encoded in the binary for memprof for runtime testing.

Diff Detail

Event Timeline

tejohnson created this revision.Oct 17 2020, 10:46 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 17 2020, 10:46 AM
Herald added a subscriber: Restricted Project. · View Herald Transcript
tejohnson requested review of this revision.Oct 17 2020, 10:46 AM
vitalybuka accepted this revision.Oct 20 2020, 1:51 AM
This revision is now accepted and ready to land.Oct 20 2020, 1:51 AM
This revision was landed with ongoing or failed builds.Oct 21 2020, 7:33 PM
This revision was automatically updated to reflect the committed changes.